Template:Case/styles.css

From Disney•Pixar CARS Wiki
Jump to navigation Jump to search
/* to move/sort */
.case-notice {
	border-width: 0 7px;
	border-style: solid;
	border-color: #b0916e
}
.case-contents-outer {
	border: 7px solid #b0916e;
}
/* top */
.case-container {
	border: 2px solid #666;
	border-radius: .2em;
}
/* Sort dropdown (OOJS) */
.case-container .oo-ui-radioSelectWidget[role="radiogroup"] {
	display: flex;
	gap: 8px;
}
.case-container .oo-ui-dropdownWidget-handle .oo-ui-indicatorElement-indicator {
	right: 5px;
}
.case-container fieldset {
	display: flex;
	align-items: center;
}
.case-container .oo-ui-fieldsetLayout.oo-ui-labelElement > .oo-ui-fieldsetLayout-header > .oo-ui-labelElement-label {
	margin: 0 2px 0 0;
	font-size: 1em;
	line-height: 1.3;
}
/* fix overflow issues */
#case-sort-options .oo-ui-fieldsetLayout {
	min-width: unset;
}
.case-header {
	display: flex;
}
/* Primary face color */
.case-header,
#caseinfo-boxtext {
	background: #bc9e6a;
}
.case-header {
	padding-top: 4px;
}

/* Purple header print */
.case-header > div {
	border-style: solid;
	border-color: #422922;
}
.case-section-title {
	background: #311926;
	border-width: 2px 0;
}
#case-section-bookend {
	width: 4%;
	min-width: 32px;
}
/* for name - some combine w/ face text */
#case-section-name {
	color: #bc9e6a;
	font-size: 20px;
	text-transform: uppercase;
	font-weight: bold;
	width: 100%;
}
#case-section-watermark {
	border-width: 0 2px;
	padding: 0 5px;
}
.case-info-block {
	display: flex;
	flex-direction: column;
	border: 0 solid #b0916e;
}
#caseinfo-boxtext {
	width: 40%;
	border-left-width: 4px;
	border-bottom-width: 4px;
	padding: 4px 8px;
}
#caseinfo-documentation {
	width: 60%;
	border-width: .3em 7px 0;
}
#caseinfo-documentation > ul {
	flex: 100;
	margin-top: 0;
	margin-left: 1.2px;
}
#caseinfo-documentation li::marker {
	background: #000;
	content: "■";
	font-size: 26px;
	line-height: .5;
}
#caseinfo-documentation li > span {
	padding-left: 4px;
}
#case-code {
	font-size: 212%;
	line-height: 1;
	letter-spacing: 1px;
}
#case-country,
#case-count {
	font-weight: bold;
	text-transform: uppercase;
}
#case-sort-options {
	background: #ddd;
	border: solid #666;
	border-width: 1px 0;
	padding: 2px 5px;
	display: flex;
	justify-content: right;
}
.case-header-info {
	text-align: left;
	display: flex;
}
.case-contents-container {
	padding: 8px;
	border-top: 0;
	margin: 0 auto;
	justify-content: center;
}
#case-card-toggle .oo-ui-radioSelectWidget[role="radiogroup"] label {
	padding: 4px 0;
}
#case-sorter + div > .oo-ui-dropdownWidget-handle {
	min-height: 20px;
	padding: 2px 24px 2px 6px;
}
#case-refs {
	margin: 0 auto;
}

.case-content-photo { /* flex-cell-centered */
	display: flex;
	align-items: center;
	justify-content: center;
}